Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class ImageRawCCITTFax

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImage
          org.apache.xmlgraphics.image.loader.impl.ImageRawStream
              org.apache.xmlgraphics.image.loader.impl.ImageRawCCITTFax

All Implemented Interfaces:
  Image

    public class ImageRawCCITTFax

extends ImageRawStream

This class is an implementation of the Image interface exposing a 1-bit bitmap image stream that can be decoded by the PostScript or PDF CCITTFaxDecode filter.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRawStream
`ImageRawStream.ByteArrayStreamFactory, ImageRawStream.InputStreamFactory`

Constructor Summary
`ImageRawCCITTFax(ImageInfo info, InputStream in, int compression)` Main constructor.

Method Summary
`ColorSpace` | `getColorSpace()` Returns the image's color space
`int` | `getCompression()` Returns the TIFF compression scheme.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.ImageRawStream
`createInputStream, getFlavor, getMimeType, isCacheable, setInputStreamFactory, writeTo`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage
`getICCProfile, getInfo, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageRawCCITTFax

    public ImageRawCCITTFax(ImageInfo info,
                            InputStream in,
                            int compression)

  Main constructor.

  Parameters:
    `info` - the image info object
    `in` - the ImageInputStream with the raw content
    `compression` - the integer value of the TIFF compression scheme

Method Detail

### getColorSpace

    public ColorSpace getColorSpace()

  Returns the image's color space

  Specified by:
    `getColorSpace` in interface `Image`
  Overrides:
    `getColorSpace` in class `AbstractImage`
  Returns:
    the color space

### getCompression

    public int getCompression()

  Returns the TIFF compression scheme.

  Returns:
    the TIFF compression scheme

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.